#!/usr/npac/bin/perl -w
#
# File:  EchoScript.pl
#
# This script reads from standard input and echos to
# standard output.
#
# Copyright:  Northeast Parallel Architectures Center

# Note the else-block for command-line debugging:
if ( defined( $ENV{'REQUEST_METHOD'} ) ) {
  if ( $ENV{ 'REQUEST_METHOD' } eq "GET" ) {
    $in = $ENV{'QUERY_STRING'};
  } elsif ( $ENV{ 'REQUEST_METHOD' } eq "POST" ) {
    for ( $i = 0; $i < $ENV{ 'CONTENT_LENGTH' }; $i++ ) {
      $in .= getc;
    }
  } 
} else {
  print STDOUT "(enter text on standard input)\n";
  print STDOUT "(enter control-D when finished)\n";
  @lines = <STDIN>;  # remove newlines
  $in = join('', @lines);
}

print "Content-type: text/plain\n\n";
print "$in\n";
